Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class ObsMatrix.Obs

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.ObsMatrix.Obs

Enclosing class:
  ObsMatrix

    public static class ObsMatrix.Obs

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.iro.umontreal.ca/lecuyer/ssj>doubleList">
           <attribute name="row" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
           <attribute name="column" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected int` | `column`
`protected int` | `row`
`protected List<Double>` | `value`

Constructor Summary
`ObsMatrix.Obs()`

Method Summary
`int` | `getColumn()` Gets the value of the column property.
`int` | `getRow()` Gets the value of the row property.
`List<Double>` | `getValue()` Gets the value of the value property.
`boolean` | `isSetColumn()`
`boolean` | `isSetRow()`
`boolean` | `isSetValue()`
`void` | `setColumn(int value)` Sets the value of the column property.
`void` | `setRow(int value)` Sets the value of the row property.
`void` | `unsetValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected List<Double> value

### row

    protected int row

### column

    protected int column

Constructor Detail

### ObsMatrix.Obs

    public ObsMatrix.Obs()

Method Detail

### getValue

    public List<Double> getValue()

  Gets the value of the value property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the value property.

  For example, to add a new item, do as follows:

          getValue().add(newItem);

  Objects of the following type(s) are allowed in the list `Double`

### isSetValue

    public boolean isSetValue()

### unsetValue

    public void unsetValue()

### getRow

    public int getRow()

  Gets the value of the row property.

### setRow

    public void setRow(int value)

  Sets the value of the row property.

### isSetRow

    public boolean isSetRow()

### getColumn

    public int getColumn()

  Gets the value of the column property.

### setColumn

    public void setColumn(int value)

  Sets the value of the column property.

### isSetColumn

    public boolean isSetColumn()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.